package com.jkcredit.query.record.action;

import com.jkcredit.query.record.constant.CommonConstant;
import com.jkcredit.query.record.model.CommonResponseObject;
import com.jkcredit.query.record.service.TokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestController
public class TokenAction {
    @Autowired
    TokenService tokenService;

    @RequestMapping("/tokenNotExist")
    public CommonResponseObject tokenNotExist() {
        return new CommonResponseObject(CommonConstant.TOKEN_NOT_EXIST_CODE, CommonConstant.TOKEN_NOT_EXIST);
    }

    @RequestMapping("/tokenError")
    public CommonResponseObject tokenError() {
        return new CommonResponseObject(CommonConstant.TOKEN_ERROR_CODE, CommonConstant.TOKEN_ERROR);
    }

    @GetMapping("/token")
    public CommonResponseObject token(@RequestParam String clientKey, @RequestParam String clientSecret) {
        return new CommonResponseObject(CommonConstant.SUCCESS_CODE, tokenService.getToken(clientKey, clientSecret));
    }
}
